<ion-header>
</ion-header>

<ion-content>
  <div class="topBar">
    <img src="assets/logo.svg" alt="">
    <ul>
      <li (click)="checkResult('hard')">Hard Verification</li>
      <li (click)="checkResult('light')">Light Verification</li>
      <li (click)="applyForm()">Application Form</li>
    </ul>
  </div>
  <div class="title">
    <h1>National Web Portal for Immigration</h1>
  </div>

  <div class="process">
    <p class="processText">eVisa Application Process</p>
    <img src="assets/step1.svg" alt="">
  </div>

  <div class="createCredential">
    <div class="fillForm">
      <img src="assets/fillForm.svg" alt="">
    </div>
    
    <p class="tableTitle">Personal Information</p>

    <div class="infoAccount">
      <div class="formContent">
        <fieldset class="inlineField">
          <legend> First Name </legend>
          <ion-input disable=true>{{fname}}</ion-input>
        </fieldset>
  
        <fieldset class="inlineField rightField">
          <legend> Last Name </legend>
          <ion-input disable=true>{{lname}}</ion-input>
        </fieldset>
        
        <fieldset>
          <legend> Date of Birth </legend>
          <ion-input disable=true>{{birth}}</ion-input>
        </fieldset>
  
        <fieldset>
          <legend> Address </legend>
          <ion-input disable=true>{{address}}</ion-input>
        </fieldset>
  
        <fieldset class="inlineField">
          <legend> Phone Number </legend>
          <ion-input disable=true>{{phoneNumber}}</ion-input>
        </fieldset>
  
        <fieldset class="inlineField rightField">
          <legend> Email </legend>
          <ion-input disable=true>{{email}}</ion-input>
        </fieldset>
        <div style="clear:both"></div>
        <fieldset >
          <legend> Passport number </legend>
          <ion-input disable=true>{{passportNumber}}</ion-input>
        </fieldset>

        <div style="clear:both"></div>
        <fieldset class="inlineField">
          <legend> Expiry date </legend>
          <ion-input disable=true>{{expiryDate}}</ion-input>
        </fieldset>
  
        <fieldset class="inlineField rightField">
          <legend> Issue type </legend>
          <ion-input disable=true>{{passportType}}</ion-input>
        </fieldset>
      </div>
    </div>

    <p class="tableTitle">Requested Information</p>

    <div class="infoAccount">
      <div class="formContent">
        <fieldset class="inlineField">
          <legend> Grant eVisa valid from (DD/MM/YYYY) </legend>
          <ion-input disable=true>{{validFrom}}</ion-input>
        </fieldset>
  
        <fieldset class="inlineField rightField">
          <legend> To (DD/MM/YYYY) </legend>
          <ion-input disable=true>{{validTo}}</ion-input>
        </fieldset>

         <fieldset>
          <legend> Destination country </legend>
          <ion-input disable=true>{{country}}</ion-input>
        </fieldset>

        <fieldset >
          <legend> Entry checkpoint </legend>
          <ion-select [(ngModel)]="allowEntry">
            <ion-select-option value="Kuala Lumpur International Airport">Kuala Lumpur International Airport</ion-select-option>
            <ion-select-option value="Penang International Airport">Penang International Airport</ion-select-option>
            <ion-select-option value="Kota Kinabalu International Airport">Kota Kinabalu International Airport</ion-select-option>
            <ion-select-option value="Langkawi International Airport">Langkawi International Airport</ion-select-option>
          </ion-select>
        </fieldset>
  
        <fieldset >
          <legend> Exit checkpoint </legend>
          <ion-select [(ngModel)]="allowExit">
            <ion-select-option value="Kuala Lumpur International Airport">Kuala Lumpur International Airport</ion-select-option>
            <ion-select-option value="Penang International Airport">Penang International Airport</ion-select-option>
            <ion-select-option value="Kota Kinabalu International Airport">Kota Kinabalu International Airport</ion-select-option>
            <ion-select-option value="Langkawi International Airport">Langkawi International Airport</ion-select-option>
          </ion-select>
        </fieldset>


        <fieldset >
          <legend> Entry Purpose </legend>
          <ion-select [(ngModel)]="purpose">
            <ion-select-option value="Tourism">Tourism</ion-select-option>
            <ion-select-option value="Business activities">Business activities</ion-select-option>
            <ion-select-option value="Working">Working</ion-select-option>
            <ion-select-option value="Official visit">Official visit</ion-select-option>
            <ion-select-option value="Other">Other</ion-select-option>
          </ion-select>
        </fieldset>
  
        <fieldset >
          <legend> Intended temporary residential address in Malaysia </legend>
          <ion-select [(ngModel)]="tempResidential">
            <ion-select-option value="Kuala Lumpur">Kuala Lumpur</ion-select-option>
            <ion-select-option value="Malacca">Malacca</ion-select-option>
            <ion-select-option value="Kuching">Kuching</ion-select-option>
            <ion-select-option value="Kota Kinabalu">Kota Kinabalu</ion-select-option>
            <ion-select-option value="Johor Bahru">Johor Bahru</ion-select-option>
          </ion-select>
        </fieldset>

        <fieldset>
          <legend> Emergency contact </legend>
          <ion-input placeholder="Ex:John/+23 123445321" [(ngModel)]="emergencyContact"></ion-input>
        </fieldset>

      </div>
    </div>

    <div class="coverCheckbox">
      <div class="checkBox">
        <ion-checkbox class="checkbox-square" [(ngModel)]="aggree"></ion-checkbox>
        <p>I assure that I have truthfully declared all relevant details.</p>
      </div>
    </div>
  </div>
  
  <div class="qrCode" *ngIf="img" (click) = "deeplink('credential')">
    <img [src]="img">
  </div>
  
  <div style="text-align: center;margin: 40px;" *ngIf="flag" (click)="createCredential()" class="btnContinue">
    <ion-button mode="ios" style="--background: #29A889;--background-hover:rgb(40, 32, 196);--background-focused:rgb(40, 32, 196)">Submit Application</ion-button>
  </div>
  <div class="scanText btnContinue" style="text-align: center;margin: 40px;" *ngIf="!flag" (click)="welcome()">
    <ion-button mode="ios" style="--background: #2F25DE;--background-hover:rgb(40, 32, 196);--background-focused:rgb(40, 32, 196)">After scanning QR code, click here to continue</ion-button>
  </div>

  <p class="deeplink" style="text-align: center;">Click on QR Code to open your SiriusID App</p>
  <div class="deeplink btnContinue" style="text-align: center;margin: 40px;" *ngIf="!flag" (click)="welcome()">
    <ion-button mode="ios" style="--background: #2F25DE;--background-hover:rgb(40, 32, 196);--background-focused:rgb(40, 32, 196)">CONTINUE</ion-button>
  </div>

  <div class="bottomBar">
    <img src="assets/bottomBar.png" alt="">
  </div>
</ion-content>
